Get Notification Preferences
curl --request GET \
--url https://api.agentpowers.ai/v1/users/notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/users/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/users/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"purchase_receipts": true,
"payout_notifications": true,
"marketing_emails": false
}users
Get Notification Preferences
Return current notification preferences. Defaults if no row exists.
GET
/
v1
/
users
/
notifications
Get Notification Preferences
curl --request GET \
--url https://api.agentpowers.ai/v1/users/notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/users/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/users/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"purchase_receipts": true,
"payout_notifications": true,
"marketing_emails": false
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Was this page helpful?